Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.start
Class DestroySharedGroup

    java.lang.Object
      com.sun.jini.start.DestroySharedGroup

public class DestroySharedGroup
extends Object

This class contains the command-line interface for destroying an instance of a shared activation group. The following items are discussed below:

- Configuring DestroySharedGroup
- Logging

### Configuring DestroySharedGroup

This implementation of `DestroySharedGroup` supports the following configuration entries, with component `com.sun.jini.start`:

• | `activationSystemPreparer`
--- | ---
| Type: | `ProxyPreparer`
| Default: | `new `BasicProxyPreparer`()`
| Description: | The proxy preparer for the proxy for the activation system. The value should not be `null`. This entry is obtained at service start and restart. This entry is only used by the activatable implementation. The service calls the `unregisterObject` method on the `ActivationSystem` when there is a problem creating a service.

• | `loginContext`
--- | ---
| Type: | `LoginContext`
| Default: | `null`
| Description: | If not `null`, specifies the JAAS login context to use for performing a JAAS login and supplying the `Subject` to use when running the services starter. If `null`, no JAAS login is performed.

• | `serviceDestructors`
--- | ---
| Type: | `ServiceDescriptor`[]
| Default: no default
| Description: | Array of service descriptors to start.

### Loggers and Logging Levels

The DestroySharedGroup service implementation uses the `Logger`, named `com.sun.jini.start.service.starter`. The following table describes the type of information logged as well as the levels of information logged.

`com.sun.jini.start.service.starter`
Level | Description
--- | ---
`SEVERE` | for problems that prevent service destruction from proceeding
`WARNING` | for problems with service destruction that don't prevent further processing
`FINER` | for high level service destruction operation tracing
`FINEST` | for low level service destruction operation tracing

Since:
  1.2
See Also:
  `ServiceStarter`

Constructor Summary
`DestroySharedGroup()`

Method Summary
`static void` | `main(String[] args)` The main method for the `DestroySharedGroup` application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestroySharedGroup

    public DestroySharedGroup()

Method Detail

### main

    public static void main(String[] args)

  The main method for the `DestroySharedGroup` application. The `args` parameter is passed directly to `ConfigurationProvider.getInstance()` in order to obtain a `Configuration` object. This configuration object is then queried for a `com.sun.jini.start.serviceDestructors` entry, which is assumed to be a `SharedActivatableServiceDescriptor[]` configured to run `SharedGroup` implementations. The `destroyVM()` method is then called on each of the array elements. An attempt is made to also delete shared group `log` directory associated with each array element.

  Parameters:
    `args` - `String[]` passed to `ConfigurationProvider.getInstance()` in order to obtain a `Configuration` object.
  See Also:
    `ServiceDescriptor`, `SharedActivatableServiceDescriptor`, `Configuration`, `ConfigurationProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved